Subject: [rohc] draft-ietf-rohc-rfc4995bis-00.txt

From: "Carl Knutsson" <[email-masked]>
Date: Mon, 11 Aug 2008 11:48:55 +0200

Ghyslain, Kristofer, Lars-Erik, rohcers,

Thank you Ghyslain, Kristofer and Lars-Erik for submitting the updated
framework document.

The new WG draft (draft-ietf-rohc-rfc4995bis-00.txt) includes a fix to
the feedback issue that Jani discovered during the last-call of RFC
5225. This is the same interoperability issue that Suneeta pointed out
as late as July 12th. It includes only a few changes and they are both
listed in Kristofer's email below.

I suggested to make Kristofers individual draft into a WG document in
January. I want to point out that this document is a replacement of
RFC4995 (the alternative is to make an updating RFC). Since there have
been no objections against decision, I will assume that WG agrees with
me. Please speak up if you have different opinion.

Best Regards,

Carl Knutsson,  ROHC WG Chair

Carl Knutsson wrote:
> Kristofer, all,
>
> I have checked the new document with rfcdiff and it looks fine. I agree
> with Kristofer's suggestion to make it a WG item. If no one have any
> objections, I will make it a WG item on Wednesday.
>
> Thank you Kristofer for drafting the new document and Jani for finding
> the feedback size issue.
>
>
> Best regards,
>
> /Carl Knutsson, ROHC WG chair
>
>
> Kristofer Sandlund wrote:
>> Hi all,
>>
>> I have just submitted draft-sandlund-rohc-rfc4995bis-00 which is
>> intended
>> to obsolete RFC4995 by fixing one error in the spec and add
>> a small clarification to it. The error is what prompts us to want
>> to update the draft, while the other part is just a clarification.
>> Link to the draft:
>> http://www.ietf.org/internet-drafts/draft-sandlund-rohc-rfc4995bis-00.tx
>> t)
>>
>>
>> List of changes:
>> - In section 5.2.4.1, the definition of the Size and Code fields
>>   are erroneous compared to RFC3095, the problem is due to a merge
>>   of multiple ASCII graphics into a one picture and we forgot to
>>   update the text. The correct definition is that these fields
>>   should include the length of the CID fields (if any).
>>   Therefore the sentences defining the meaning of these two
>>   fields are updated.
>>   Thanks to Jani Juvan for locating this problem.
>>
>> - In the uncompressed profile, it was not spelled out that one should
>>   use optimistic approach type of logic and repetition of IRs
>>   before receiving feedback. Therefore, we added a new section 5.4.3
>>   which lists these things.
>>
>> - The doc now uses standard symbolic references as per RFC editor's
>>   guidelines insetad of the numeric references used in 4995
>>
>> - Minor formatting changes (more or less spaces here and there) due
>>   to using a different source format than the original draft
>>
>> Our wish is to publish this as a new RFC that obsoletes RFC4995.
>> In order to get that done quickly, it would probably be
>> useful to convert this into a WG draft, get a quick review and
>> pass it up to the IESG as soon as possible.
>> Please review this draft (I recommend doing an rfcdiff against
>> RFC4995). Let us know if there is anything else that could use updating
>> or polishing in RFC4995.
>>
>> Rgds,
>>   Kristofer
>>
>> _______________________________________________
>> Rohc mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/rohc
>
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
_______________________________________________
Rohc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rohc